Skip links
Arpine Maghakyan

Arpine Maghakyan

Security Researcher of RedRays.

Potential execution of dangerous OS commands in BW-WHM, SAP security note 1656265

Description

This security note has been updated.  For more detailed information, see Security Note 1721539.

BW-WHM contains a vulnerability through which a malicious user can potentially execute arbitrary programs on the system where the BW runs.
An attacker can therefore control the behavior of the system, or can potentially escalate privileges by executing malicious code, without having their own legitimate credentials.

Available fix and Supported packages

  • SAP_BW | 30B | 30B
  • SAP_BW | 310 | 310
  • SAP_BW | 350 | 350
  • SAP_BW | 700 | 702
  • SAP_BW | 710 | 730
  • SAP_BW | 731 | 731
  • SAP_BW_VIRTUAL_COMP | 30B | 30B
  • SAP_BW_VIRTUAL_COMP | 701 | 701
  • SAP_BW 30B | SAPKW30B34 |
  • SAP_BW 310 | SAPKW31028 |
  • SAP_BW 701 | SAPKW70111 |
  • SAP_BW 710 | SAPKW71014 |
  • SAP_BW 711 | SAPKW71109 |
  • SAP_BW 720 | SAPKW72007 |
  • SAP_BW 702 | SAPKW70211 |
  • SAP_BW 350 | SAPKW35030 |
  • SAP_BW 731 | SAPKW73103 |
  • SAP_BW 730 | SAPKW73007 |
  • SAP_BW 700 | SAPKW70029 |
  • SAP_BW_VIRTUAL_COMP 30B | SAPK-30B51INVCBWTECH |
  • SAP_BW_VIRTUAL_COMP 701 | SAPK-70131INVCBWTECH |

Affected component

    BW-WHM
    Data Warehouse Management

CVSS

Score: 0

Exploit

Detailed vulnerability information added to RedRays Security Platform. Contact [email protected] for details.

URL

https://launchpad.support.sap.com/#/notes/1656265

TAGS

#Command-execution
#tampering
#BW-WHM

More to explorer

SAP Cloud Connector Certificate Validation Issue

Date of Release: February 13, 2024 Advisory ID: CVE-2024-25642 Affected Software: SAP Cloud Connector Versions Affected: 2.15.0 to 2.16.1 Vulnerability Summary:A critical vulnerability,

Protect Your SAP with RedRays Security Platform

Explore the Power of Our Scanner with an Interactive Prototype Below